SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
ThreadDataInterface Class Referenceabstract

`#include <slikenet/ThreadPool.h>`

## Public Member Functions

| ThreadDataInterface ()
virtual | ~ThreadDataInterface ()
virtual void * | PerThreadFactory (void *context)=0
virtual void | PerThreadDestructor (void *factoryResult, void *context)=0

## Detailed Description

Definition at line 26 of file ThreadPool.h.

## Constructor & Destructor Documentation

ThreadDataInterface::ThreadDataInterface | ( |  | ) |

inline

Definition at line 29 of file ThreadPool.h.

virtual ThreadDataInterface::~ThreadDataInterface | ( |  | ) |

inlinevirtual

Definition at line 30 of file ThreadPool.h.

## Member Function Documentation

virtual void ThreadDataInterface::PerThreadDestructor | ( | void * | factoryResult,
|  | void * | context
| ) |  |

pure virtual

virtual void* ThreadDataInterface::PerThreadFactory | ( | void * | context | ) |

pure virtual

The documentation for this class was generated from the following file:

- Source/include/slikenet/ThreadPool.h